petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMInterpolationEvaluate

Using the input from dm and x, calculates interpolated field values at the interpolation points.

### Synopsis

    #include "petscdmplex.h"
    #include "petscsnes.h"
    PetscErrorCode DMInterpolationEvaluate(DMInterpolationInfo ctx, DM dm, Vec x, Vec v)

### Input Parameters

| ctx | - The DMInterpolationInfo context
| dm | - The DM
| x | - The local vector containing the field to be interpolated

### Output Parameters

v -The vector containing the interpolated values

Note: A suitable v can be obtained using DMInterpolationGetVector().

### See Also

DMInterpolationGetVector(), DMInterpolationAddPoints(), DMInterpolationCreate()

### Level

beginner

### Location

src/snes/utils/dmplexsnes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages